# convert_uuencode

(PHP 5, PHP 7)

convert_uuencode — Uuencode a string

### Description

convert_uuencode ( string `$data` ) : string

convert_uuencode() encodes a string using the uuencode algorithm.

Uuencode translates all strings (including binary data) into printable characters, making them safe for network transmissions. Uuencoded data is about 35% larger than the original.

> Note: convert_uuencode() neither produces the begin nor the end line, which are part of uuencoded files.

### Parameters

`data`

  The data to be encoded.

### Return Values

Returns the uuencoded data or `FALSE` on failure.

### Examples

Example #1 convert_uuencode() example

`<?php
$some_string = "test\ntext text\r\n";
echo convert_uuencode($some_string);
?>`

The above example will output:

    0=&5S=`IT97AT('1E>'0-"@``
    `

### See Also

- convert_uudecode() - Decode a uuencoded string
- base64_encode() - Encodes data with MIME base64